import { Component, ViewChild, OnInit } from "@angular/core";
import {
  IgxGridComponent,
  IgxDialogComponent,
  IGridCellEventArgs
} from "igniteui-angular";
import { athletesData } from "./data";

@Component({
  selector: "app-root",
  templateUrl: "./app.component.html",
  styleUrls: ["./app.component.scss"]
})
export class AppComponent implements OnInit {
  title = "GridEditRowTemplate";

  @ViewChild("grid1", { static: true }) public grid1: IgxGridComponent;
  @ViewChild("dialogEditRow", { static: true })
  public dialog: IgxDialogComponent;
  public localData: any[];

  ngOnInit() {
    this.localData = athletesData;
  }

  public getBadgeType(cell) {
    switch (cell.row.rowData.Position) {
      case "up":
        return "success";
      case "current":
        return "warning";
      case "down":
        return "error";
    }
  }

  public getIconType(cell) {
    switch (cell.row.rowData.Position) {
      case "up":
        return "arrow_upward";
      case "current":
        return "arrow_forward";
      case "down":
        return "arrow_downward";
    }
  }

  EditRow() {
    this.Cancel();
  }

  Cancel() {
    this.dialog.close();
  }

  onCellClick(event: IGridCellEventArgs) {
    if (event.cell.rowIndex % 2 === 0) {
      this.dialog.open();
    }
  }
}
